> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.propexo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server.

# Send Push Notification Communication: Funnel

POST https://api.propexo.com/crm/v1/communications/funnel/push-notification
Content-Type: application/json

Send Push Notification Communication: Funnel

Reference: https://docs.propexo.com/api-reference/funnel/communications/send-push-notification-communication-funnel

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.propexo.com` (Production, default)
- `https://api.sandbox.propexo.com` (Sandbox)

## Request

### Body (application/json)

This endpoint expects a _crm_v1_communications_funnel_push-notification_post_input.

- `integration_id` (string, required) — The Propexo unique identifier for the integration
- `community_id` (string, required) — The Propexo unique identifier for the community
- `prospect_id` (string, required) — The Propexo unique identifier for the prospect
- `listing_id` (string, required) — The Propexo unique identifier for the listing
- `notification_type` (enum, required)
  - Allowed values: `RENEWAL`

## Response

### 200

Successful response

- `meta` (CrmV1CommunicationsFunnelPushNotificationPostOutputMeta, required)
- `result` (CrmV1CommunicationsFunnelPushNotificationPostOutputResult, required)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (ErrorResponseError, required)

## Types

### CrmV1CommunicationsFunnelPushNotificationPostOutputMeta

- `job_id` (string, required)

### CrmV1CommunicationsFunnelPushNotificationPostOutputResult

- `integration_id` (string, required) — The Propexo unique identifier for the integration
- `community_id` (string, required) — The Propexo unique identifier for the community
- `prospect_id` (string, required) — The Propexo unique identifier for the prospect
- `listing_id` (string, required) — The Propexo unique identifier for the listing
- `notification_type` (enum, required)
  - Allowed values: `RENEWAL`

### ErrorResponseError

- `code` (string, required)
- `message` (string, required)
- `details` (map from string to any, optional)

## Examples

**Request**

```json
{
  "integration_id": "intg-9f8b7c6d5e4a3b2c1d0e",
  "community_id": "comm-1234567890abcdef",
  "prospect_id": "prospect-0987654321fedcba",
  "listing_id": "list-abcdef1234567890",
  "notification_type": "RENEWAL"
}
```

**Response**

```json
{
  "meta": {
    "job_id": "job-20240615-abcdef123456"
  },
  "result": {
    "integration_id": "intg-9f8b7c6d5e4a3b2c1d0e",
    "community_id": "comm-1234567890abcdef",
    "prospect_id": "prospect-0987654321fedcba",
    "listing_id": "list-abcdef1234567890",
    "notification_type": "RENEWAL"
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.propexo.com/crm/v1/communications/funnel/push-notification"

payload = {
    "integration_id": "intg-9f8b7c6d5e4a3b2c1d0e",
    "community_id": "comm-1234567890abcdef",
    "prospect_id": "prospect-0987654321fedcba",
    "listing_id": "list-abcdef1234567890",
    "notification_type": "RENEWAL"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.propexo.com/crm/v1/communications/funnel/push-notification';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"integration_id":"intg-9f8b7c6d5e4a3b2c1d0e","community_id":"comm-1234567890abcdef","prospect_id":"prospect-0987654321fedcba","listing_id":"list-abcdef1234567890","notification_type":"RENEWAL"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.propexo.com/crm/v1/communications/funnel/push-notification"

	payload := strings.NewReader("{\n  \"integration_id\": \"intg-9f8b7c6d5e4a3b2c1d0e\",\n  \"community_id\": \"comm-1234567890abcdef\",\n  \"prospect_id\": \"prospect-0987654321fedcba\",\n  \"listing_id\": \"list-abcdef1234567890\",\n  \"notification_type\": \"RENEWAL\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.propexo.com/crm/v1/communications/funnel/push-notification")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"integration_id\": \"intg-9f8b7c6d5e4a3b2c1d0e\",\n  \"community_id\": \"comm-1234567890abcdef\",\n  \"prospect_id\": \"prospect-0987654321fedcba\",\n  \"listing_id\": \"list-abcdef1234567890\",\n  \"notification_type\": \"RENEWAL\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.propexo.com/crm/v1/communications/funnel/push-notification")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"integration_id\": \"intg-9f8b7c6d5e4a3b2c1d0e\",\n  \"community_id\": \"comm-1234567890abcdef\",\n  \"prospect_id\": \"prospect-0987654321fedcba\",\n  \"listing_id\": \"list-abcdef1234567890\",\n  \"notification_type\": \"RENEWAL\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.propexo.com/crm/v1/communications/funnel/push-notification', [
  'body' => '{
  "integration_id": "intg-9f8b7c6d5e4a3b2c1d0e",
  "community_id": "comm-1234567890abcdef",
  "prospect_id": "prospect-0987654321fedcba",
  "listing_id": "list-abcdef1234567890",
  "notification_type": "RENEWAL"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.propexo.com/crm/v1/communications/funnel/push-notification");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"integration_id\": \"intg-9f8b7c6d5e4a3b2c1d0e\",\n  \"community_id\": \"comm-1234567890abcdef\",\n  \"prospect_id\": \"prospect-0987654321fedcba\",\n  \"listing_id\": \"list-abcdef1234567890\",\n  \"notification_type\": \"RENEWAL\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "integration_id": "intg-9f8b7c6d5e4a3b2c1d0e",
  "community_id": "comm-1234567890abcdef",
  "prospect_id": "prospect-0987654321fedcba",
  "listing_id": "list-abcdef1234567890",
  "notification_type": "RENEWAL"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/crm/v1/communications/funnel/push-notification")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```